Bug 98554 - 'noht' option doesn't work on E7501 boxen
'noht' option doesn't work on E7501 boxen
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-03 13:28 EDT by John Brookes
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Brookes 2003-07-03 13:28:17 EDT
Description of problem:

We have recently acquired two SuperMicro E7501 boards (X5DPE-G2) which we have 
been validating with RH8 and the kit my company produces. It all works fine 
apart from the fact that when the BIOS allows HT, the boxen always come up with 
four processors - whether noht is specified on the bootline or not.

The noht line _does_ change _something though. I brought a node up with and 
without noht and compared the contents of /proc/cpuinfo. They were 
substantially the same except I found that:

Without 'noht': 
  siblings : 2
  flags : ..... ht ..
With 'noht':
  siblings : 1
  flags : .......     <- There is no "ht"


Version-Release number of selected component (if applicable):

RH8.0.3.2-7 
Kernel 2.4.18-14

How reproducible:

100%

Steps to Reproduce:
1. Get a system with X5DPE-G2 mobo (possibly any with E7501 chipset)
2. Install RedHat 8.0.3.2-7
3. Boot it with the noht option.
    
Actual results:

The node still has 2 logical processors per processor

Expected results:

The node should only have 1 logical processor per processor.

Additional info:
Comment 1 Arjan van de Ven 2003-07-03 13:53:55 EDT
what's the kernel version ?
Comment 2 John Brookes 2003-07-15 11:28:23 EDT
Sorry for the slow reply......

Kernel version is 2.4.18-14 (RH), but it also applies to various other 2.4.18-
based kernels (we use varieties of our own, though most of them are based on 
the current RH kernel).

JB
Comment 3 Arjan van de Ven 2003-07-15 11:32:06 EDT
the current RHL kernel is 2.4.20 based
in addition noht only works if the bios follows intels guidelines strictly.
Comment 4 John Brookes 2003-07-23 07:50:34 EDT
Hmm, your current standard release kernel is 2.4.20, but the advanced server 
products are still 2.4.9-based, yes? I will test with that and 2.4.20 to see if 
they can handle it correctly.

SuperMicro assure me that their BIOS complies with Intel guidelines. I'll see 
if there is a BIOS upgrade, though, as the product is relatively new.
Comment 5 John Brookes 2003-07-23 11:13:45 EDT
Just tried 2.4.20 and 2.4.9-e3 with no joy. I'm currently chasing up SuperMicro 
on BIOS-ly issues.
Comment 6 John Brookes 2003-07-25 06:21:39 EDT
I have a new BIOS that I intend to check out today. More later.
Comment 7 Bugzilla owner 2004-09-30 11:41:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.